<p style="margin: 0;">
  <span *ngIf="description">{{ description }}</span>
</p>

<div class="dropzonecontainer">
  <form
    class="dropzone"
    *ngIf="form && controlName"
    appDragover
    (filesChangeEmiter)="uploadFile($event[0])"
    [ngClass]="{'validationError': form.get(controlName)?.invalid && (form.get(controlName)?.dirty || form.get(controlName)?.touched)}"
  >
    <div class="dropzoneContent">
      <h4>Drop file here<p *ngIf="isRequired(form.get(controlName))" style="display: inline;">*</p></h4>

      <mat-icon class="rotate90" style="transform: rotate(90deg); scale: 2; margin-bottom: 30px;">login</mat-icon>
      <label for="fileDropRef">Browse for file</label>
    </div>
    <input type="file" (change)="onFileSelected($event)" [matChipInputFor]="chipList">
    <mat-chip-grid #chipList aria-label="File selection">
      <mat-chip-row *ngIf="file" (removed)="deleteFile()">
        {{ file.name }}
        <button matChipRemove [attr.aria-label]="'Remove ' + file"><mat-icon>cancel</mat-icon></button>
      </mat-chip-row>
    </mat-chip-grid>
  </form>
</div>

